<?php 
	$ta_key = '2E2B919141464E31B384DE1026A2DE7B';
?>

<div class="container-fluid rezgo-container">
	<?php
	if (isset($_REQUEST['option']) && trim($_REQUEST['option'])) {
		$option = '&f[uid]=' . sanitize_text_field($_REQUEST['option']);
	} else {
		$option = '';
	}
	if (isset($_REQUEST['date'])) {
		$date = '&d=' . sanitize_text_field($_REQUEST['date']);
	} else {
		$date = '';
	}
	if (isset($_REQUEST['com'])) {
		$com = sanitize_text_field($_REQUEST['com']);
	} else {
		$com = '';
	}
	?>

	<?php $items = $site->getTours('t=com&q='.$com.$option.$date); ?>

	<?php if (!$items) { ?>
		<div class="jumbotron">
			<h3><i class="fa fa-exclamation-triangle"></i> Item not found</h3>

			<p class="lead">Sorry, the item you are looking for is not available or has no available options.</p>

			<p><a class="btn btn-lg btn-info" href="/" role="button">Return to home</a></p>
		</div>
	<?php } else { ?>
		<?php 
		function date_sort($a, $b) {
			if ($a['start_date'] == $b['start_date']) {
				return 0;
			}

			return ($a['start_date'] < $b['start_date']) ? -1 : 1;
		}

		function recursive_array_search($needle,$haystack) {
			foreach ($haystack as $key=>$value) {
				$current_key=$key;

				if ($needle===$value OR (is_array($value) && recursive_array_search($needle,$value) !== false)) {
					return $current_key;
				}
			}

			return false;
		}

		$day_options = array();
		$single_dates = 0;
		$calendar_dates = 0;
		$open_dates = 0;

		foreach ($items as $item) {
			$site->readItem($item);

			// check if single dates or calendar
			$option_start_date = (int) $item->start_date;

			if (recursive_array_search($option_start_date, $day_options) === FALSE) {
				$day_options[(int) $item->uid]['start_date'] = $option_start_date;
			}

			// calendar availability types
			$calendar_selects = array('always', 'range', 'week', 'days');

			// open availability types
			$open_selects = array('never', 'number', 'specific');
			$date_selection = (string) $item->date_selection;

			// get option availability types (single, open or calendar)
			if ($date_selection == 'single') {
				$single_dates++; 
			} elseif (in_array($date_selection, $open_selects)) {
				$open_dates++; 
			} elseif (in_array($date_selection, $calendar_selects)) {
				$calendar_dates++;
			}
		}

		// resort by date
		usort($day_options, 'date_sort'); 

		// setup calendar start days
		$company = $site->getCompanyDetails();

		// set defaults for start of availability
		$start_day = date('j', strtotime('+'.$item_cutoff.' days '.$company->time_format.' hours'));
		$open_cal_day = date('Y-m-d', strtotime('+'.$item_cutoff.' days '.$company->time_format.' hours'));

		// get the available dates
		$site->getCalendar($item->uid, sanitize_text_field($_REQUEST['date'])); 

		$cal_day_set = FALSE;
		$calendar_events = '';

		foreach ($site->getCalendarDays() as $day) {
			if ($day->cond == 'a') { $class = ''; } // available
			elseif ($day->cond == 'p') { $class = 'passed'; }
			elseif ($day->cond == 'f') { $class = 'full'; }
			elseif ($day->cond == 'i' || $day->cond == 'u') { $class = 'unavailable'; }
			elseif ($day->cond == 'c') { $class = 'cutoff'; }

			if ($day->date) { // && (int)$day->lead != 1
				$calendar_events .= '"'.date('Y-m-d', $day->date).'":{"class": "'.$class.'"},'."\n"; 
			}

			if ($_REQUEST['date']) {
				$request_date = strtotime(sanitize_text_field($_REQUEST['date']));
				$calendar_start = date('Y-m', $request_date);
				$start_day =	date('j', $request_date);
				$open_cal_day =	date('Y-m-d', $request_date);
				$cal_day_set = TRUE;
			} else {
				if ($day->date) {
					$calendar_start = date('Y-m', (int) $day->date);
				}

				// redefine start days
				if ($day->cond == 'a' && !$cal_day_set) {
					$start_day =	date('j', $day->date);
					$open_cal_day =	date('Y-m-d', $day->date);
					$cal_day_set = TRUE;
				}
			}
		}

		$calendar_events = trim($calendar_events, ','."\n");	
		?>

		<div class="row">
			<div class="col-md-4 col-sm-5 col-xs-12 rezgo-right-wrp pull-right">
				<?php if ($open_dates > 0) { ?>
					<div class="rezgo-calendar-wrp">
						<div class="rezgo-open-header">
							<span>Open Options</span>
						</div>

						<div class="rezgo-open-container">
							<?php $open_date = date('Y-m-d', strtotime('+1 day')); ?>

							<div class="rezgo-open-options" id="rezgo-open-option-<?php echo $opt; ?>" style="display:none;">
								<div class="rezgo-open-selector" id="rezgo-open-date-<?php echo $opt; ?>"></div>

								<script type="text/javascript">
								jQuery(document).ready(function($){
									$.ajax({
										url: '<?php echo admin_url('admin-ajax.php'); ?>',
										data: {
											action: 'rezgo',
											method: 'calendar_day',
											parent_url: '<?php echo $site->base; ?>',
											com: '<?php echo $item->com; ?>',
											date: '<?php echo $open_date; ?>',
											type: 'open',
											security: '<?php echo wp_create_nonce('rezgo-nonce'); ?>'
										},
										context: document.body,
										success: function(data) {
											if (data.indexOf('rezgo-option-hide') == -1) {
												$('#rezgo-open-date-<?php echo $opt; ?>').html(data).slideDown('fast');

												$('#rezgo-open-option-<?php echo $opt; ?>').fadeIn('fast');
											}
										}
									});
								});
								</script>
							</div>

							<div id="rezgo-open-memo"></div>
						</div>
					</div>
				<?php } ?>

				<?php if ($calendar_dates > 0 || $single_dates > 10) { ?>
					<div class="hidden visible-xs">&nbsp;</div>

					<div class="rezgo-calendar-wrp">
						<div class="rezgo-calendar-header">
							<span>Choose a Date</span>
						</div>

						<div class="rezgo-calendar">
							<div class="responsive-calendar" id="rezgo-calendar">
								<div class="controls">
									<a class="pull-left" data-go="prev"><div class="glyphicon glyphicon-chevron-left"></div></a>
									<h4><span data-head-year></span> <span data-head-month></span></h4>
									<a class="pull-right" data-go="next"><div class="glyphicon glyphicon-chevron-right"></div></a>
								</div>

								<?php if ($company->start_week == 'mon') { ?>
									<div class="day-headers">
										<div class="day header">Mon</div>
										<div class="day header">Tue</div>
										<div class="day header">Wed</div>
										<div class="day header">Thu</div>
										<div class="day header">Fri</div>
										<div class="day header">Sat</div>
										<div class="day header">Sun</div>
									</div>
								<?php } else { ?>
									<div class="day-headers">
										<div class="day header">Sun</div>
										<div class="day header">Mon</div>
										<div class="day header">Tue</div>
										<div class="day header">Wed</div>
										<div class="day header">Thu</div>
										<div class="day header">Fri</div>
										<div class="day header">Sat</div>
									</div>
								<?php } ?>

								<div class="days" data-group="days"></div>
							</div>

							<div class="rezgo-calendar-legend">
								<span class="available">&nbsp;</span><span class="text-available"><span>&nbsp;Available&nbsp;&nbsp;</span></span>
								<span class="full">&nbsp;</span><span class="text-full"><span>&nbsp;Full&nbsp;&nbsp;</span></span>
								<span class="unavailable">&nbsp;</span><span class="text-unavailable"><span>&nbsp;Unavailable</span></span>
								<div id="rezgo-calendar-memo"></div>
							</div>

							<div id="rezgo-scrollto-options"></div>

							<div class="rezgo-date-selector" style="display:none;">
								<!-- available options will populate here -->
								<div class="rezgo-date-options"></div>
							</div>

							<div id="rezgo-date-script" style="display:none;">
								<!-- ajax script will be inserted here -->
							</div>
						</div>
					</div>
					<?php } elseif (($calendar_dates == 0 || $single_dates <= 10) && $open_dates == 0 ) { ?>
					<div class="rezgo-calendar-wrp">
						<?php $opt = 1; ?>

						<?php foreach ($day_options as $option) { ?>
							<div class="rezgo-calendar-single" id="rezgo-calendar-single-<?php echo $opt; ?>" style="display:none;">
								<div class="rezgo-calendar-single-head">
									<span class="rezgo-calendar-avail">
										<span>Availability&nbsp;for:</span>
									</span> 
									<strong><?php echo date((string) $company->date_format, $option['start_date']); ?></strong>
								</div>

								<div class="rezgo-date-selector" id="rezgo-single-date-<?php echo $opt; ?>"></div>

								<script type="text/javascript">
									jQuery(document).ready(function($){
										$.ajax({
											url: '<?php echo admin_url('admin-ajax.php'); ?>',
											data: {
												action: 'rezgo',
												method: 'calendar_day',
												parent_url: '<?php echo $site->base; ?>',
												com: '<?php echo $item->com; ?>',
												date: '<?php echo date('Y-m-d', $option['start_date']); ?>',
												option_num: '<?php echo $opt; ?>',
												type: 'single',
												security: '<?php echo wp_create_nonce('rezgo-nonce'); ?>'
											},
											context: document.body,
											success: function(data) {
												if (data.indexOf('rezgo-option-hide') == -1) {
													$('#rezgo-single-date-<?php echo $opt; ?>').html(data).slideDown('fast');
													$('#rezgo-calendar-single-<?php echo $opt; ?>').fadeIn('fast');
												}
											}
										});
									});
								</script> 
							</div>

							<?php $opt++; ?>
						<?php } // end foreach ($day_options as $option) ?>

						<div id="rezgo-single-memo"></div>
					</div>
				<?php } ?>
			</div>
		</div>

		<script type="text/javascript">
		jQuery(document).ready(function($){
			// function returns Y-m-d date format
			(function(){
				Date.prototype.toYMD = Date_toYMD;

				function Date_toYMD() {
					var year, month, day;

					year = String(this.getFullYear());

					month = String(this.getMonth() + 1);

					if (month.length == 1) {
						month = "0" + month;
					}

					day = String(this.getDate());

					if (day.length == 1) {
						day = "0" + day;
					}

					return year + "-" + month + "-" + day;
				}
			})();

			// new Date() object for tracking months
			var rezDate = new Date('<?php echo $calendar_start; ?>-15');

			function addLeadingZero(num) {
				if (num < 10) {
					return "0" + num;
				} else {
					return "" + num;
				}
			}

			// only animate month changes if not using Safari
			var isSafari = Object.prototype.toString.call(window.HTMLElement).indexOf('Constructor') > 0;

			if (isSafari) {
				monthAnimate = false;
			}

			else {
				monthAnimate = true;
			}

			$('.responsive-calendar').responsiveCalendar({
				time: '<?php echo $calendar_start; ?>', 
				startFromSunday: <?php echo (($company->start_week == 'mon') ? 'false' : 'true') ?>,
				allRows: false,
				monthChangeAnimation: monthAnimate,
				onDayClick: function(events) {
					if ($(this).parent().hasClass('active')) {
						$('.days .day').each(function () {
								$(this).removeClass('select');
						});

						$(this).parent().addClass('select');
					}

					var this_date, this_class;

					this_date = $(this).data('year')+'-'+ addLeadingZero($(this).data('month')) +'-'+ addLeadingZero($(this).data('day'));

					this_class = events[this_date].class;

					if (this_class == 'passed') {
						//$('.rezgo-date-selector').html('<p class="lead">This day has passed.</p>').show();
					} else if (this_class == 'cutoff') {
						//$('.rezgo-date-selector').html('<p class="lead">Inside the cut-off.</p>').show();
					} else if (this_class == 'unavailable') {
						//$('.rezgo-date-selector').html('<p class="lead">No tours available on this day.</p>').show();
					} else if (this_class == 'full') {
						//$('.rezgo-date-selector').html('<p class="lead">This day is fully booked.</p>').show();
					} else {
						$('.rezgo-date-options').html('<div class="rezgo-date-loading"></div>');

						if ($('.rezgo-date-selector').css('display') == 'none') {
							$('.rezgo-date-selector').slideDown('fast');
						}

						$('.rezgo-date-selector').css('opacity', '0.4');

						$.ajax({
							url: '<?php echo admin_url('admin-ajax.php'); ?>',
							data: {
								action: 'rezgo',
								method: 'calendar_day',
								parent_url: '<?php echo $site->base; ?>',
								com: '<?php echo $item->com; ?>',
								date: this_date,
								type: 'calendar',
								security: '<?php echo wp_create_nonce('rezgo-nonce'); ?>'
							},
							context: document.body,
							success: function(data) {
								$('.rezgo-date-selector').html(data).css('opacity', '1');

								$('.rezgo-date-options').fadeIn('slow');

								var opt_position = $('#rezgo-scrollto-options').offset();

								var opt_scroll = Math.round(opt_position.top);

								if ('parentIFrame' in window) {
									setTimeout(function () {
											parentIFrame.scrollTo(0,opt_scroll);
									}, 100);
								}
							}
						});
					}
				},
				onMonthChange: function(events) { 
					// first hide any options below
					$('.rezgo-date-selector').slideUp('slow');

					rezDate.setMonth(rezDate.getMonth() + 1);

					var rezNewMonth = rezDate.toYMD();

					$.ajax({
						url: '<?php echo admin_url('admin-ajax.php'); ?>',
						data: {
							action: 'rezgo',
							method: 'calendar_month',
							uid: '<?php echo $item->uid; ?>',
							com: '<?php echo $item->com; ?>',
							date: rezNewMonth,
							security: '<?php echo wp_create_nonce('rezgo-nonce'); ?>'
						},
						context: document.body,
						success: function(data) {
							$('#rezgo-date-script').html(data); 
						}
					});
				},
				events: {
					<?php echo $calendar_events; ?>
				}
			});

			<?php if (($calendar_dates > 0 || $single_dates > 10) && $cal_day_set === TRUE) { ?>
				// open the first available day
				$('.rezgo-date-options').html('<div class="rezgo-date-loading"></div>');

				if ($('.rezgo-date-selector').css('display') == 'none') {
					$('.rezgo-date-selector').slideDown('fast');
				}

				$.ajax({
					url: '<?php echo admin_url('admin-ajax.php'); ?>',
					data: {
						action: 'rezgo',
						method: 'calendar_day',
						parent_url: '<?php echo $site->base; ?>',
						com: '<?php echo $item->com; ?>',
						date: '<?php echo $open_cal_day; ?>',
						id: '<?php echo sanitize_text_field($_REQUEST['option']); ?>',
						type: 'calendar',
						security: '<?php echo wp_create_nonce('rezgo-nonce'); ?>'
					},
					context: document.body,
					success: function(data) {
						$('.rezgo-date-selector').html(data).css('opacity', '1');

						$('.rezgo-date-options').fadeIn('slow');

						$('.active [data-day="<?php echo $start_day; ?>"]').parent().addClass('select');
					}
				});
				// end open first day
			<?php } ?>

			// handle short url popover
			$('*[data-ajaxload]').bind('click',function() {
				var e = $(this);

				e.unbind('click');

				$.get(e.data('ajaxload'),function(d){
					e.popover({
						html : true,
						title: false,
						placement: 'left',
						content: d,
					}).popover('show');
				});
			});

			$('body').on('click', function (e) {
				$('[data-toggle="popover"]').each(function () {
					if (!$(this).is(e.target) && e.target.id != 'rezgo-short-url' && $(this).has(e.target).length === 0) {
						$(this).popover('hide');
					}
				});
			});

			// prevent map float left
			$(window).resize(function() {
				var bodyWidth = $(document).width();

				var rightColumnHeight = $('.rezgo-right-wrp').height();

				if (bodyWidth > 760) {
					$("#rezgo-details").css({'min-height' : rightColumnHeight + 'px'});
				} else {
					$("#rezgo-details").css({'min-height' : 0});
				}
			});
		});
		</script>
	<?php } ?>
</div>